#
# spec file for package smix (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg xf86 xforms xformsd xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         smix
Copyright:    GPL
Group:        X11/Amusements
Provides:     smix
Autoreqprov:  on
Version:      1.2
Release:      376
Summary:      Audio Mixer for Linux
Source: smix-%{version}.tar.gz
Patch:  smix-%{version}.dif
Patch1: smix-axp.dif
URL:    http://brahms.fmi.uni-passau.de/~anderss/smix/

%description
smix is an audio mixer for Linux/X11R6 boxes.

Authors:
--------
    Sven Anders <anderss@fmi.uni-passau.de>

SuSE series: snd

%prep
%setup -n smix-%{version}
%patch
%ifarch alpha 
%patch1 -p1
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make install

%files
/usr/X11R6/bin/smix
%doc CHANGES COPYING LSM README TODO mixer.html smix.gif smix.tiff smix.xpm
%doc /usr/X11R6/man/man1/smix.1.gz

%changelog -n smix
* Mon Mar 19 2001 - uli@suse.de
- re-added xf86 to neededforbuild
* Mon Mar 19 2001 - stepan@suse.de
- Undefine preprocessor macro "alpha" to build on Alpha AXP
* Thu Dec 14 2000 - schwab@suse.de
- Remove reference to sa_restorer.
* Fri Sep 29 2000 - ro@suse.de
- fixed to build
* Thu Jan 13 2000 - freitag@suse.de
- version-makro and group
* Thu Dec 09 1999 - kukuk@suse.de
- Use RPM_OPT_FLAGS
* Tue Sep 21 1999 - uli@suse.de
- fixed Makefile for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- fixed to build on alpha
* Wed Feb 24 1999 - ro@suse.de
- added xformsd to neededforbuild
* Fri Jan 08 1999 - ray@suse.de
- new package (V1.2)
